test.sh 1.3 KB

1234567891011121314151617181920212223242526272829303132333435363738394041
  1. #!/bin/bash
  2. #
  3. # Copyright 2021 EMQ Technologies Co., Ltd.
  4. #
  5. # Licensed under the Apache License, Version 2.0 (the "License");
  6. # you may not use this file except in compliance with the License.
  7. # You may obtain a copy of the License at
  8. #
  9. # http://www.apache.org/licenses/LICENSE-2.0
  10. #
  11. # Unless required by applicable law or agreed to in writing, software
  12. # distributed under the License is distributed on an "AS IS" BASIS,
  13. # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  14. # See the License for the specific language governing permissions and
  15. # limitations under the License.
  16. #
  17. set -e -x -u
  18. export PKG_PATH=${PKG_PATH:-"_packages"}
  19. if dpkg --help >/dev/null 2>&1; then
  20. dpkg -i $PKG_PATH/*.deb
  21. [ "$(dpkg -l |grep kuiper |awk '{print $1}')" = "ii" ]
  22. kuiperd &
  23. sleep 1
  24. if ! curl 127.0.0.1:9081 >/dev/null 2>&1; then echo "kuiper start failed"; exit 1; fi
  25. dpkg -r kuiper
  26. [ "$(dpkg -l |grep kuiper |awk '{print $1}')" = "rc" ]
  27. dpkg -P kuiper
  28. [ -z "$(dpkg -l |grep kuiper)" ]
  29. fi
  30. if rpm --help >/dev/null 2>&1; then
  31. rpm -ivh $PKG_PATH/*.rpm
  32. [ ! -z $(rpm -q emqx | grep -o emqx) ]
  33. kuiperd &
  34. sleep 1
  35. if ! curl 127.0.0.1:9081 >/dev/null 2>&1; then echo "kuiper start failed"; exit 1; fi
  36. rpm -e kuiper
  37. [ "$(rpm -q emqx)" == "package emqx is not installed" ]
  38. fi